Index: modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/datasources/re3data2db_TMP.xml
===================================================================
--- modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/datasources/re3data2db_TMP.xml	(revision 60695)
+++ modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/datasources/re3data2db_TMP.xml	(nonexistent)
@@ -1,138 +0,0 @@
-<RESOURCE_PROFILE>
-	<HEADER>
-		<RESOURCE_IDENTIFIER value="2b85d042-815d-4058-9374-7c64d099d46c_VHJhbnNmb3JtYXRpb25SdWxlRFNSZXNvdXJjZXMvVHJhbnNmb3JtYXRpb25SdWxlRFNSZXNvdXJjZVR5cGU="/>
-		<RESOURCE_TYPE value="TransformationRuleDSResourceType"/>
-		<RESOURCE_KIND value="TransformationRuleDSResources"/>
-		<RESOURCE_URI value=""/>
-		<DATE_OF_CREATION value="2019-03-18T17:59:33+00:00"/>
-	</HEADER>
-	<BODY>
-		<CONFIGURATION>
-			<IMPORTED/>
-			<SCRIPT>
-				<TITLE>RE3DATA FIX ORGS</TITLE>
-				<CODE>
-					<![CDATA[
-					<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-									xmlns:dnet="eu.dnetlib.data.transform.xml.AbstractDNetXsltFunctions" version="2.0">
-
-						<xsl:param name="varDataSourceId"/>
-						<xsl:variable name="namespacePrefix" select="string('re3data_____')"/>
-
-						<xsl:variable name="dsId"
-									  select="concat($namespacePrefix, '::', normalize-space(.//*[local-name() = 're3data.orgIdentifier']))"/>
-						<xsl:variable name="subjects">
-							<xsl:for-each select="//*[local-name() = 'subject']">
-								<xsl:if test="position() > 1"> @@ </xsl:if>
-								<xsl:value-of select="substring-after(., ' ')"/>
-							</xsl:for-each>
-						</xsl:variable>
-
-						<xsl:template match="/">
-							<record>
-
-								<xsl:copy-of select=".//*[local-name() = 'header']"/>
-								<metadata>
-									<ROWS>
-										<xsl:for-each select="//*[local-name() = 'institution']">
-											<xsl:variable name="orgId"
-														  select="concat($namespacePrefix, '::', dnet:md5(concat(normalize-space(./*[local-name() = 'institutionName']), '_', normalize-space(./*[local-name() = 'institutionCountry']))))"/>
-											<ROW table="dsm_organizations">
-												<FIELD name="_dnet_resource_identifier_">
-													<xsl:value-of select="$orgId"/>
-												</FIELD>
-												<FIELD name="id">
-													<xsl:value-of select="$orgId"/>
-												</FIELD>
-												<FIELD name="legalname">
-													<xsl:value-of select="./*[local-name() = 'institutionName']"/>
-												</FIELD>
-												<xsl:variable name="orgShortname">
-													<xsl:value-of
-															select="./*[local-name() = 'institutionAdditionalName'][1]"/>
-												</xsl:variable>
-												<xsl:if test="upper-case($orgShortname) = $orgShortname">
-													<FIELD name="legalshortname">
-														<xsl:value-of select="$orgShortname"/>
-													</FIELD>
-												</xsl:if>
-												<FIELD name="websiteurl">
-													<xsl:choose>
-														<xsl:when
-																test="starts-with(normalize-space(./*[local-name() = 'institutionURL']), 'http')">
-															<xsl:value-of select="./*[local-name() = 'institutionURL']"
-															/>
-														</xsl:when>
-														<xsl:when
-																test="string-length(normalize-space(./*[local-name() = 'institutionURL'])) > 0">
-															<xsl:value-of
-																	select="concat('http://', normalize-space(./*[local-name() = 'institutionURL']))"
-															/>
-														</xsl:when>
-													</xsl:choose>
-												</FIELD>
-												<FIELD name="country">
-													<xsl:value-of select="./*[local-name() = 'institutionCountry']"/>
-												</FIELD>
-												<xsl:if test="./*[local-name() = 'institutionType'] = 'non-profit'">
-													<FIELD name="ec_nonprofit" type="boolean">true</FIELD>
-												</xsl:if>
-												<FIELD name="collectedfrom">
-													<xsl:value-of select="$varDataSourceId"/>
-												</FIELD>
-												<FIELD name="provenanceaction"
-												>sysimport:crosswalk:entityregistry</FIELD>
-											</ROW>
-
-											<ROW table="dsm_datasource_organization">
-												<FIELD name="_dnet_resource_identifier_">
-													<xsl:value-of select="concat($dsId, '@@', $orgId)"/>
-												</FIELD>
-												<FIELD name="datasource">
-													<xsl:value-of select="$dsId"/>
-												</FIELD>
-												<FIELD name="organization">
-													<xsl:value-of select="$orgId"/>
-												</FIELD>
-											</ROW>
-											<xsl:for-each select="//*[local-name() = 'institutionIdentifier']">
-												<xsl:if test="starts-with(./text(), 'ROR') or starts-with(./text(), 'RRID') or starts-with(./text(), 'VIAF')">
-													<ROW table="dsm_identities">
-														<FIELD name="_dnet_resource_identifier_">
-															<xsl:value-of select="concat(./text(), '@@', substring-before(./text(), ':'))"/>
-														</FIELD>
-														<FIELD name="pid">
-															<xsl:value-of select="./text()"/>
-														</FIELD>
-														<FIELD name="issuertype">
-															<xsl:value-of select="substring-before(./text(), ':')"/>
-														</FIELD>
-													</ROW>
-													<ROW table="dsm_organizationpids">
-														<FIELD name="_dnet_resource_identifier_">
-															<xsl:value-of select="concat(./text(), '@@', $orgId)"/>
-														</FIELD>
-														<FIELD name="pid">
-															<xsl:value-of select="./text()"/>
-														</FIELD>
-														<FIELD name="organization">
-															<xsl:value-of select="$orgId"/>
-														</FIELD>
-													</ROW>
-												</xsl:if>
-											</xsl:for-each>
-										</xsl:for-each>
-
-									</ROWS>
-								</metadata>
-							</record>
-						</xsl:template>
-					</xsl:stylesheet>
-]]>
-				</CODE>
-			</SCRIPT>
-		</CONFIGURATION>
-		<STATUS/>
-		<SECURITY_PARAMETERS>SECURITY_PARAMETERS</SECURITY_PARAMETERS>
-	</BODY>
-</RESOURCE_PROFILE>
\ No newline at end of file