Index: modules/uoa-notification-service/trunk/src/main/java/eu/dnetlib/uoanotificationservice/services/NotificationService.java
===================================================================
--- modules/uoa-notification-service/trunk/src/main/java/eu/dnetlib/uoanotificationservice/services/NotificationService.java	(revision 60809)
+++ modules/uoa-notification-service/trunk/src/main/java/eu/dnetlib/uoanotificationservice/services/NotificationService.java	(revision 60810)
@@ -72,17 +72,17 @@
         notificationDAO.delete(id);
     }
 
-    // every min for testing
-    //@Scheduled(cron = "0 * * * * *"
-    // every day at midnight
-    @Scheduled(cron = "0 0 0 1/1 * ?")
-    protected void deleteNotifications() {
-        logger.info("Deleting notifications that have been created more than a week ago");
-        Calendar calendar = Calendar.getInstance();
-        calendar.add(Calendar.DAY_OF_MONTH, -7);
-        List<Notification> notifications = notificationDAO.findByDateBefore(calendar.getTime());
-        notifications.forEach(notification -> {
-            delete(notification.getId());
-        });
-    }
+//    // every min for testing
+//    //@Scheduled(cron = "0 * * * * *"
+//    // every day at midnight
+//    @Scheduled(cron = "0 0 0 1/1 * ?")
+//    protected void deleteNotifications() {
+//        logger.info("Deleting notifications that have been created more than a week ago");
+//        Calendar calendar = Calendar.getInstance();
+//        calendar.add(Calendar.DAY_OF_MONTH, -7);
+//        List<Notification> notifications = notificationDAO.findByDateBefore(calendar.getTime());
+//        notifications.forEach(notification -> {
+//            delete(notification.getId());
+//        });
+//    }
 }
Index: modules/uoa-notification-service/trunk/src/main/java/eu/dnetlib/uoanotificationservice/controllers/NotificationController.java
===================================================================
--- modules/uoa-notification-service/trunk/src/main/java/eu/dnetlib/uoanotificationservice/controllers/NotificationController.java	(revision 60809)
+++ modules/uoa-notification-service/trunk/src/main/java/eu/dnetlib/uoanotificationservice/controllers/NotificationController.java	(revision 60810)
@@ -22,7 +22,7 @@
     @Autowired
     private AuthorizationService authorizationService;
 
-    @PreAuthorize("hasAuthority(@AuthorizationService.REGISTERED_USER)")
+    @PreAuthorize("hasAuthority(@AuthorizationService.PORTAL_ADMIN)")
     @RequestMapping(value = {"/all"}, method = RequestMethod.GET)
     public List<Notification> getAllNotifications() {
         return notificationService.getAllNotifications();
Index: modules/uoa-notification-service/trunk/src/main/java/eu/dnetlib/uoanotificationservice/configuration/NotificationConfiguration.java
===================================================================
--- modules/uoa-notification-service/trunk/src/main/java/eu/dnetlib/uoanotificationservice/configuration/NotificationConfiguration.java	(revision 60809)
+++ modules/uoa-notification-service/trunk/src/main/java/eu/dnetlib/uoanotificationservice/configuration/NotificationConfiguration.java	(revision 60810)
@@ -6,10 +6,10 @@
 import org.springframework.scheduling.annotation.EnableScheduling;
 
 @Configuration
-@PropertySources({
-        @PropertySource("classpath:notification.properties"),
-        @PropertySource(value = "classpath:dnet-override.properties", ignoreResourceNotFound = true)
-})
+//@PropertySources({
+//        @PropertySource("classpath:notification.properties"),
+//        @PropertySource(value = "classpath:dnet-override.properties", ignoreResourceNotFound = true)
+//})
 @EnableConfigurationProperties({MongoConfig.class})
 @EnableScheduling
 @ComponentScan(basePackages = { "eu.dnetlib.uoanotificationservice"})
Index: modules/uoa-notification-service/trunk/src/main/resources/notification.properties
===================================================================
--- modules/uoa-notification-service/trunk/src/main/resources/notification.properties	(revision 60809)
+++ modules/uoa-notification-service/trunk/src/main/resources/notification.properties	(revision 60810)
@@ -1,3 +1,3 @@
-notification.mongodb.host = localhost
-notification.mongodb.port = 27017
-notification.mongodb.database = openaire_notification
\ No newline at end of file
+#notification.mongodb.host = localhost
+#notification.mongodb.port = 27017
+#notification.mongodb.database = openaire_notification
\ No newline at end of file