Index: modules/open-science-observatory-ui/trunk/src/app/pages/countrypage/country-page.component.ts
===================================================================
--- modules/open-science-observatory-ui/trunk/src/app/pages/countrypage/country-page.component.ts	(revision 60860)
+++ modules/open-science-observatory-ui/trunk/src/app/pages/countrypage/country-page.component.ts	(revision 60861)
@@ -242,9 +242,9 @@
       this.otherByDatasourceChartURL = this.sanitizer.bypassSecurityTrustResourceUrl(this.chartsURL + encodeURIComponent(`{"library":"HighCharts","chartDescription":{"queries":[{"name":"other","type":"bar","query":{"name":"new.oso.results.affiliated.bydatasource.country","parameters":["${this.countryCode}","other"],"profile":"${this.profileName}"}}],"chart":{"backgroundColor":"#FFFFFFFF","borderColor":"#335cadff","borderRadius":0,"borderWidth":0,"plotBorderColor":"#ccccccff","plotBorderWidth":0},"title":{"text":"OA Other research products","align":"left","margin":50},"subtitle":{"text":"by datasource","align":"left"},"yAxis":{"title":{"text":""}},"xAxis":{"title":{"text":""}},"lang":{"noData":"No Data available for the Query"},"exporting":{"enabled":true},"plotOptions":{"series":{"dataLabels":{"enabled":false}}},"legend":{"enabled":false},"credits":{"href":null,"enabled":false},"colors":[\"${this.otherResearchProductsPalette.join('","')}\"]}}`));
       this.otherByOrganizationChartURL = this.sanitizer.bypassSecurityTrustResourceUrl(this.chartsURL + encodeURIComponent(`{"library":"HighCharts","chartDescription":{"queries":[{"name":"other","type":"bar","query":{"name":"new.oso.results.affiliated.byorganization.country","parameters":["${this.countryCode}","other"],"profile":"${this.profileName}"}}],"chart":{"backgroundColor":"#FFFFFFFF","borderColor":"#335cadff","borderRadius":0,"borderWidth":0,"plotBorderColor":"#ccccccff","plotBorderWidth":0},"title":{"text":"OA Other research products","align":"left","margin":50},"subtitle":{"text":"by organization","align":"left"},"yAxis":{"title":{"text":""}},"xAxis":{"title":{"text":""}},"lang":{"noData":"No Data available for the Query"},"exporting":{"enabled":true},"plotOptions":{"series":{"dataLabels":{"enabled":false}}},"legend":{"enabled":false},"credits":{"href":null,"enabled":false},"colors":[\"${this.otherResearchProductsPalette.join('","')}\"]}}`));
 
+      // fixme use the profileName variable when this chart is available for the same profile as the rest (in 2 places)
+      this.resultsByTypeOANonOAChartURL = this.sanitizer.bypassSecurityTrustResourceUrl(this.chartsURL + encodeURIComponent(`{"library":"HighCharts","chartDescription":{"queries":[{"name":"OA","type":"column","query":{"select":[{"field":"result","aggregate":"count"},{"field":"result.type","aggregate":null}],"filters":[{"groupFilters":[{"field":"result.access mode","type":"=","values":["Open Access"]},{"field":"result.access mode","type":"=","values":["Open Source"]}],"op":"OR"},{"groupFilters":[{"field":"result.organization.country.code","type":"=","values":["${this.countryCode}"]}],"op":"AND"}],"entity":"result","profile":"OpenAIRE original","limit":"30"}},{"name":"Non-OA","type":"column","query":{"select":[{"field":"result","aggregate":"count"},{"field":"result.type","aggregate":null}],"filters":[{"groupFilters":[{"field":"result.access mode","type":"!=","values":["Open Access"]},{"field":"result.access mode","type":"!=","values":["Open Source"]}],"op":"AND"},{"groupFilters":[{"field":"result.organization.country.code","type":"=","values":["${this.countryCode}"]}],"op":"AND"}],"entity":"result","profile":"OpenAIRE original","limit":"30"}}],"chart":{"backgroundColor":"#FFFFFFFF","borderColor":"#335cadff","borderRadius":0,"borderWidth":0,"plotBorderColor":"#ccccccff","plotBorderWidth":0},"title":{"text":"Research results by type","align":"left","margin":50},"subtitle":{},"yAxis":{"title":{"text":""}},"xAxis":{"title":{"text":""}},"lang":{"noData":"No Data available for the Query"},"exporting":{"enabled":true},"plotOptions":{"series":{"dataLabels":{"enabled":false}}},"legend":{"enabled":true,"align":"center","verticalAlign":"bottom","layout":"horizontal"},"credits":{"href":null,"enabled":false},"colors":[\"${this.resultsPalette.join('","')}\"]}}`));
 
-      this.resultsByTypeOANonOAChartURL = this.sanitizer.bypassSecurityTrustResourceUrl(this.chartsURL + encodeURIComponent(`{"library":"HighCharts","chartDescription":{"queries":[{"name":"OA","type":"column","query":{"select":[{"field":"result","aggregate":"count"},{"field":"result.type","aggregate":null}],"filters":[{"groupFilters":[{"field":"result.access mode","type":"=","values":["Open Access"]},{"field":"result.access mode","type":"=","values":["Open Source"]}],"op":"OR"},{"groupFilters":[{"field":"result.organization.country.code","type":"=","values":["${this.countryCode}"]}],"op":"AND"}],"entity":"result","profile":"${this.profileName}","limit":"30"}},{"name":"Non-OA","type":"column","query":{"select":[{"field":"result","aggregate":"count"},{"field":"result.type","aggregate":null}],"filters":[{"groupFilters":[{"field":"result.access mode","type":"!=","values":["Open Access"]},{"field":"result.access mode","type":"!=","values":["Open Source"]}],"op":"AND"},{"groupFilters":[{"field":"result.organization.country.code","type":"=","values":["${this.countryCode}"]}],"op":"AND"}],"entity":"result","profile":"${this.profileName}","limit":"30"}}],"chart":{"backgroundColor":"#FFFFFFFF","borderColor":"#335cadff","borderRadius":0,"borderWidth":0,"plotBorderColor":"#ccccccff","plotBorderWidth":0},"title":{"text":"Research results by type","align":"left","margin":50},"subtitle":{},"yAxis":{"title":{"text":""}},"xAxis":{"title":{"text":""}},"lang":{"noData":"No Data available for the Query"},"exporting":{"enabled":true},"plotOptions":{"series":{"dataLabels":{"enabled":false}}},"legend":{"enabled":true,"align":"center","verticalAlign":"bottom","layout":"horizontal"},"credits":{"href":null,"enabled":false},"colors":[\"${this.resultsPalette.join('","')}\"]}}`));
-
       this.dataService.getFundersResultsByTypeForCountry('publication', this.countryCode).subscribe(
         rawData => {
           this.publicationsByFunderData = this.dataHandlerService.convertRawDataToTreemapHighchartsData(rawData);
Index: modules/open-science-observatory-ui/trunk/src/app/pages/home/europe-map-overview.component.ts
===================================================================
--- modules/open-science-observatory-ui/trunk/src/app/pages/home/europe-map-overview.component.ts	(revision 60860)
+++ modules/open-science-observatory-ui/trunk/src/app/pages/home/europe-map-overview.component.ts	(revision 60861)
@@ -154,7 +154,8 @@
         // center: [15.2551, 54.5260],
         center: [14, 51],
         // zoom: 4.7,
-        zoom: 4.3,
+        // zoom: 4.3,
+        zoom: 6,
         // roam: true,
         label: {
           emphasis: {
@@ -235,8 +236,21 @@
               itemStyle: {
                 normal: {
                   color:  seriesColor,
+                  // color:  {
+                  //   type: 'linear',
+                  //   x: 0,
+                  //   y: 0,
+                  //   x2: 0,
+                  //   y2: 1,
+                  //   colorStops: [{
+                  //     offset: 0, color: '#A1AAB8' // color at 0% position
+                  //   }, {
+                  //     offset: 1, color: seriesColor // color at 100% position
+                  //   }],
+                  //   global: false // false by default
+                  // },
                   // color:  '#f8d5e3',
-                  // opacity: 0.8,
+                  // opacity: 0.5,
                   borderColor: seriesColor,
                   borderWidth: 2
                 }
Index: modules/open-science-observatory-ui/trunk/src/app/chart-palettes.ts
===================================================================
--- modules/open-science-observatory-ui/trunk/src/app/chart-palettes.ts	(revision 60860)
+++ modules/open-science-observatory-ui/trunk/src/app/chart-palettes.ts	(revision 60861)
@@ -1,34 +1,39 @@
 export const publicationColor = '#F181AE';
 export const publicationTooltipColor = '#a52e5d';
 export const publicationBackgroundColor = '#f8d5e3';
-// export const publicationColor = '#263C7E';
+// export const publicationColor = '#0d6b96';
 // export const publicationTooltipColor = '#1c2d5e';
 // export const publicationBackgroundColor = '#8197D9';
 
 export const datasetColor = '#A98BD4';
-// export const datasetColor = '#916AC8';
 export const datasetTooltipColor = '#7658a1';
 export const datasetBackgroundColor = '#e2daf0';
+// export const datasetColor = '#2ec0f9';
+// export const datasetTooltipColor = '#7658a1';
+// export const datasetBackgroundColor = '#e2daf0';
 
-
 export const repositoriesColor = '#708AA5';
 export const repositoriesTooltipColor = '#3d5772';
 export const repositoriesBackgroundColor = '#ADD3E0';
+// export const repositoriesColor = '#708AA5';
+// export const repositoriesTooltipColor = '#3d5772';
+// export const repositoriesBackgroundColor = '#ADD3E0';
 
 export const journalsColor = '#FFCE4E';
 export const journalsTooltipColor = '#cc9b1b';
 export const journalsBackgroundColor = '#FBE8B1';
-// export const journalsColor = '#639C66';
-// export const journalsTooltipColor = '#306933';
+// export const journalsColor = '#FFCE4E';
+// export const journalsTooltipColor = '#cc9b1b';
+// export const journalsBackgroundColor = '#FBE8B1';
 
 export const policiesColor = '#639C66';
 export const policiesTooltipColor = '#306933';
 
 export const softwareColor = '#C2155A';
-// export const softwareColor = '#9C0D38';
+// export const softwareColor = '#8affc1';
 
 export const otherResearchProductsColor = '#00CCCC';
-// export const otherResearchProductsColor = '#17BEBB';
+// export const otherResearchProductsColor = '#4ea699';
 
 export const nonOAColor = '#787878';
 
Index: modules/open-science-observatory-ui/trunk/src/assets/css/os-observatory-custom.css
===================================================================
--- modules/open-science-observatory-ui/trunk/src/assets/css/os-observatory-custom.css	(revision 60860)
+++ modules/open-science-observatory-ui/trunk/src/assets/css/os-observatory-custom.css	(revision 60861)
@@ -11,21 +11,24 @@
   --link-hover-color: #CA4D9A;
 
   --publication-color: #F17AA9;
-  /*--publication-color: #263C7E;*/
   --publication-background-color: #f8d5e3;
+  /*--publication-color: #0d6b96;*/
   /*--publication-background-color: #8197D9;*/
 
   --dataset-color: #A98BD4;
-  /*--dataset-color: #916AC8;*/
   --dataset-background-color: #e2daf0;
+  /*--dataset-color: #2ec0f9;*/
+  /*--dataset-background-color: #e2daf0;*/
 
   --software-color: #C2155A;
-  /*--software-color: #9C0D38;*/
   --software-background-color: #F2D0DE;
+  /*--software-color: #8affc1;*/
+  /*--software-background-color: #F2D0DE;*/
 
   --other-color: #00CCCC;
-  /*--other-color: #17BEBB;*/
   --other-background-color: #CCF4F4;
+  /*--other-color: #4ea699;*/
+  /*--other-background-color: #CCF4F4;*/
 
   --repository-color: #708AA5;
   --repository-background-color: #ADD3E0;
@@ -34,6 +37,8 @@
 
   --journal-color: #FFCE4E;
   --journal-background-color: #FBE8B1;
+  /*--journal-color: #FFCE4E;*/
+  /*--journal-background-color: #FBE8B1;*/
 
   --policies-color: #639C66;
   --policies-background-color: #D4ECD6;