Index: modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/dm/update-info-date.xml
===================================================================
--- modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/dm/update-info-date.xml	(revision 60995)
+++ modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/dm/update-info-date.xml	(revision 60996)
@@ -102,7 +102,7 @@
 				</PARAMETERS>
 				<ARCS>
 					<ARC name="YES" to="UpdateStatsDate"/>
-					<ARC name="NO" to="success"/>
+					<ARC name="NO" to="SELECT_CROSSREF_DATE"/>
 				</ARCS>
 			</NODE>
 			<NODE name="UpdateStatsDate" type="ExecuteSql">
@@ -113,6 +113,90 @@
 					<PARAM name="sql" type="string" managedBy="user" required="true">UPDATE info SET value='YYYY-mm-dd' WHERE key='stats_update_date';</PARAM>
 				</PARAMETERS>
 				<ARCS>
+					<ARC to="SELECT_CROSSREF_DATE"/>
+				</ARCS>
+			</NODE>
+			<NODE name="SELECT_CROSSREF_DATE" type="Selection">
+				<DESCRIPTION>Do we update the last update date of Crossref?</DESCRIPTION>
+				<PARAMETERS>
+					<PARAM function="validValues(['YES', 'NO'])" managedBy="user" name="selection" required="true" type="string">YES</PARAM>
+				</PARAMETERS>
+				<ARCS>
+					<ARC name="YES" to="UpdateCrossrefDate"/>
+					<ARC name="NO" to="SELECT_ORCID_DATE"/>
+				</ARCS>
+			</NODE>
+			<NODE name="UpdateCrossrefDate" type="ExecuteSql">
+				<DESCRIPTION>update the last update date of Crossref</DESCRIPTION>
+				<PARAMETERS>
+					<PARAM required="true" type="boolean" name="sqlInClasspath" managedBy="system">false</PARAM>
+					<PARAM name="dbProperty" type="string" managedBy="system" required="true">dnet.openaire.db.name</PARAM>
+					<PARAM name="sql" type="string" managedBy="user" required="true">UPDATE info SET value='YYYY-mm-dd' WHERE key='crossref_update_date';</PARAM>
+				</PARAMETERS>
+				<ARCS>
+					<ARC to="SELECT_ORCID_DATE"/>
+				</ARCS>
+			</NODE>
+			<NODE name="SELECT_ORCID_DATE" type="Selection" isStart="true">
+				<DESCRIPTION>Do we update the last update date of ORCID?</DESCRIPTION>
+				<PARAMETERS>
+					<PARAM function="validValues(['YES', 'NO'])" managedBy="user" name="selection" required="true" type="string">YES</PARAM>
+				</PARAMETERS>
+				<ARCS>
+					<ARC name="YES" to="UpdateOrcidDate"/>
+					<ARC name="NO" to="SELECT_UNPAYWALL_DATE"/>
+				</ARCS>
+			</NODE>
+			<NODE name="UpdateOrcidDate" type="ExecuteSql">
+				<DESCRIPTION>update the last update date of ORCID</DESCRIPTION>
+				<PARAMETERS>
+					<PARAM required="true" type="boolean" name="sqlInClasspath" managedBy="system">false</PARAM>
+					<PARAM name="dbProperty" type="string" managedBy="system" required="true">dnet.openaire.db.name</PARAM>
+					<PARAM name="sql" type="string" managedBy="user" required="true">UPDATE info SET value='YYYY-mm-dd' WHERE key='orcid_update_date';</PARAM>
+				</PARAMETERS>
+				<ARCS>
+					<ARC to="SELECT_UNPAYWALL_DATE"/>
+				</ARCS>
+			</NODE>
+			<NODE name="SELECT_UNPAYWALL_DATE" type="Selection" isStart="true">
+				<DESCRIPTION>Do we update the last update date of Unpaywall?</DESCRIPTION>
+				<PARAMETERS>
+					<PARAM function="validValues(['YES', 'NO'])" managedBy="user" name="selection" required="true" type="string">YES</PARAM>
+				</PARAMETERS>
+				<ARCS>
+					<ARC name="YES" to="UpdateUnpaywallDate"/>
+					<ARC name="NO" to="SELECT_MAG_DATE"/>
+				</ARCS>
+			</NODE>
+			<NODE name="UpdateUnpaywallDate" type="ExecuteSql">
+				<DESCRIPTION>update the last update date of Unpaywall</DESCRIPTION>
+				<PARAMETERS>
+					<PARAM required="true" type="boolean" name="sqlInClasspath" managedBy="system">false</PARAM>
+					<PARAM name="dbProperty" type="string" managedBy="system" required="true">dnet.openaire.db.name</PARAM>
+					<PARAM name="sql" type="string" managedBy="user" required="true">UPDATE info SET value='YYYY-mm-dd' WHERE key='unpaywall_update_date';</PARAM>
+				</PARAMETERS>
+				<ARCS>
+					<ARC to="SELECT_MAG_DATE"/>
+				</ARCS>
+			</NODE>
+			<NODE name="SELECT_MAG_DATE" type="Selection" isStart="true">
+				<DESCRIPTION>Do we update the last update date of Microsoft Academic Graph?</DESCRIPTION>
+				<PARAMETERS>
+					<PARAM function="validValues(['YES', 'NO'])" managedBy="user" name="selection" required="true" type="string">YES</PARAM>
+				</PARAMETERS>
+				<ARCS>
+					<ARC name="YES" to="UpdateMAGDate"/>
+					<ARC name="NO" to="success"/>
+				</ARCS>
+			</NODE>
+			<NODE name="UpdateMAGDate" type="ExecuteSql">
+				<DESCRIPTION>update the last update date of Microsoft Academic Graph</DESCRIPTION>
+				<PARAMETERS>
+					<PARAM required="true" type="boolean" name="sqlInClasspath" managedBy="system">false</PARAM>
+					<PARAM name="dbProperty" type="string" managedBy="system" required="true">dnet.openaire.db.name</PARAM>
+					<PARAM name="sql" type="string" managedBy="user" required="true">UPDATE info SET value='YYYY-mm-dd' WHERE key='mag_update_date';</PARAM>
+				</PARAMETERS>
+				<ARCS>
 					<ARC to="success"/>
 				</ARCS>
 			</NODE>